## python-guizero 0.5.4+dfsg

=== debian/changelog ===
python-guizero (0.5.4+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #907700)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 30 Dec 2018 19:06:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=__pycache__

export DH_VERBOSE=1
export PYBUILD_VERBOSE=1

export LANG=C.UTF-8
export LC_ALL=C.UTF-8

export PYBUILD_NAME=guizero
export PYBUILD_BEFORE_TEST=cp -rv {dir}/tests {build_dir}; cp -v {dir}/examples/guizero* {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tests

%:
	dh $@ --with python3 --with mkdocs --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf html

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs-src && mv docs/about.md docs/index.md && \
		PYTHONPATH=/usr/share/mkdocs/themes mkdocs build --clean && \
		mv html $(CURDIR)/html
	find $(CURDIR)/html -type f -name sitemap.xml.gz -delete

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs docs-src/docs/changelog.md upstream
	dh_installchangelogs

## python-guizero 1.6.0+ds

=== requirements.txt ===
build==1.2.1
mkdocs==1.6.1
mkdocs-bootswatch==1.1
pre-commit==4.0.1
pytest==8.3.4
pillow>=4.3.0

## python-guizero 0.6.0+dfsg1

=== debian/changelog ===
python-guizero (0.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg1
  * d/gbp.conf: use pristine-tar
  * d/patches:
    - refresh update-examples-directory-in-tests (fuzz/offsets)
    - refresh configure-mkdocs-for-debian (fuzz)
    - refresh update-fonts-used-in-tests (offset)
  * d/rules:
    - add override_dh_mkdocs for bootstrap theme
    - symlink fonts from glyphicons package
    - do not compress upstream changelog in docs

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 28 Feb 2019 03:03:03 +0000

=== debian/control ===
Source: python-guizero
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
Build-Depends:
 debhelper (>= 11),
 dh-linktree,
 dh-python,
 fonts-liberation,
 mkdocs (>= 1.0.4),
 mkdocs-bootstrap,
 python3-all,
 python3-pil,
 python3-pil.imagetk,
 python3-pytest,
 python3-pytest-xvfb,
 python3-setuptools,
 python3-tk,
Standards-Version: 4.3.0
Homepage: https://github.com/lawsie/guizero
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-guizero
Vcs-Git: https://salsa.debian.org/python-team/modules/python-guizero.git

Package: python3-guizero
Architecture: all
Depends:
 python3-pil,
 python3-pil.imagetk,
 python3-tk,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-guizero-doc,
Description: module to allow quick and easy GUI creation (Python 3)
 guizero is a wrapper for Tkinter, and aims to make the process of creating
 simple GUIs quick, accessible and understandable by:
 .
  - working with the standard Python GUI library
  - providing an accessible widget naming system
  - abstracting away details novice programmers find hard
  - being flexible enough to be used for projects up to A-Level (UK) standard
  - providing comprehensive and accessible documentation with examples
  - providing helpful error messages
 .
 This package provides the guizero library for Python 3.

Package: python3-guizero-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${mkdocs:Depends},
Suggests:
 www-browser,
Description: module to allow quick and easy GUI creation (documentation)
 guizero is a wrapper for Tkinter, and aims to make the process of creating
 simple GUIs quick, accessible and understandable by:
 .
  - working with the standard Python GUI library
  - providing an accessible widget naming system
  - abstracting away details novice programmers find hard
  - being flexible enough to be used for projects up to A-Level (UK) standard
  - providing comprehensive and accessible documentation with examples
  - providing helpful error messages
 .
 This package provides the guizero user documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,12 @@
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
 
+override_dh_compress:
+	dh_compress -Xchangelog.html
+
 override_dh_installchangelogs:
 	dh_installchangelogs docs-src/docs/changelog.md upstream
 	dh_installchangelogs
+
+override_dh_mkdocs:
+	dh_mkdocs -Tmkdocs-bootstrap -Tfonts-glyphicons-halflings

## python-guizero 1.1.0+dfsg1

=== debian/changelog ===
python-guizero (1.1.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Nick Morrott ]
  * New upstream version 1.1.0+dfsg1
  * d/control: Uploaders: use my new Debian address
  * d/patches: refresh patches (offsets)

 -- Nick Morrott <nickm@debian.org>  Mon, 04 Nov 2019 13:11:56 +0000

python-guizero (1.0.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Nick Morrott ]
  * New upstream version 1.0.0+dfsg1
  * d/copyright:
    - refresh Files-Excluded for upstream/1.0.0+dfsg1
  * d/control:
    - bump debhelper compatibility level to 12
    - add Rules-Requires-Root annotation
  * d/patches:
    - refresh configure-mkdocs-for-debian (upstream changes)
    - refresh update-examples-directory-in-tests (new tests)
  * mkdocs:
    - switch to nature theme
    - simplify mkdocs usage

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sat, 24 Aug 2019 06:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
+Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
- debhelper (>= 11),
- dh-linktree,
+ debhelper-compat (= 12),
  dh-python,
  fonts-liberation,
  mkdocs (>= 1.0.4),
- mkdocs-bootstrap,
+ mkdocs-nature,
  python3-all,
  python3-pil,
  python3-pil.imagetk,
@@ -17,7 +16,8 @@
  python3-pytest-xvfb,
  python3-setuptools,
  python3-tk,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/lawsie/guizero
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-guizero
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-guizero.git

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tests
 
 %:
-	dh $@ --with python3 --with mkdocs --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -21,9 +21,8 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	cd $(CURDIR)/docs-src && mv docs/about.md docs/index.md && \
-		PYTHONPATH=/usr/share/mkdocs/themes mkdocs build --clean && \
-		mv html $(CURDIR)/html
+	mv $(CURDIR)/docs-src/docs/about.md $(CURDIR)/docs-src/docs/index.md
+	mkdocs build -d $(CURDIR)/html -f $(CURDIR)/docs-src/mkdocs.yml
 	find $(CURDIR)/html -type f -name sitemap.xml.gz -delete
 
 override_dh_auto_test:
@@ -36,5 +35,6 @@
 	dh_installchangelogs docs-src/docs/changelog.md upstream
 	dh_installchangelogs
 
-override_dh_mkdocs:
-	dh_mkdocs -Tmkdocs-bootstrap -Tfonts-glyphicons-halflings
+override_dh_installdocs:
+	dh_installdocs
+	dh_mkdocs -Tmkdocs -Tmkdocs-nature -Tlibjs-underscore

## python-guizero 1.1.1+dfsg1

=== debian/changelog ===
python-guizero (1.1.1+dfsg1-3) unstable; urgency=medium

  * d/python-guizero-doc.links:
    - Add convenience link to python3-guizero package
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 10:16:31 +0000

python-guizero (1.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jan 2021 13:48:33 -0500

python-guizero (1.1.1+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Nick Morrott ]
  * New upstream version 1.1.1+dfsg1
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
    - Rename -doc package to drop Python version
  * d/patches:
    - Refresh patches (offsets/fuzz/upstream changes)
  * d/u/metadata:
    - Remove obsolete fields Contact, Name from debian/upstream/metadata
      (already present in machine-readable debian/copyright).

 -- Nick Morrott <nickm@debian.org>  Sat, 02 Jan 2021 07:48:14 +0000

python-guizero (1.1.0+dfsg1-2) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
  * d/copyright:
    - Refresh Debian years of copyright
  * d/rules:
    - Allow dh_mkdocs to linkify embedded jquery library
  * d/tests:
    - Run autopkgtests against supported Python versions

 -- Nick Morrott <nickm@debian.org>  Thu, 18 Jun 2020 04:01:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-guizero
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  fonts-liberation,
  mkdocs (>= 1.0.4),
@@ -17,10 +17,10 @@
  python3-setuptools,
  python3-tk,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/lawsie/guizero
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-guizero
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-guizero.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-guizero
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-guizero.git
 
 Package: python3-guizero
 Architecture: all
@@ -31,7 +31,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-guizero-doc,
+ python-guizero-doc,
 Description: module to allow quick and easy GUI creation (Python 3)
  guizero is a wrapper for Tkinter, and aims to make the process of creating
  simple GUIs quick, accessible and understandable by:
@@ -45,7 +45,7 @@
  .
  This package provides the guizero library for Python 3.
 
-Package: python3-guizero-doc
+Package: python-guizero-doc
 Architecture: all
 Section: doc
 Depends:
@@ -53,6 +53,9 @@
  ${mkdocs:Depends},
 Suggests:
  www-browser,
+Enhances: python3-guizero
+Breaks: python3-guizero-doc
+Replaces: python3-guizero-doc
 Description: module to allow quick and easy GUI creation (documentation)
  guizero is a wrapper for Tkinter, and aims to make the process of creating
  simple GUIs quick, accessible and understandable by:

=== debian/tests/control ===
Tests: python3-guizero
Depends: @builddeps@, @,

=== debian/watch ===
version=4

opts="dversionmangle=s/@DEB_EXT@//, repacksuffix=+dfsg1, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/lawsie/guizero/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-guizero 1.3.0+dfsg

=== debian/changelog ===
python-guizero (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg
  * d/control:
    - Update standards version to 4.6.0, no changes needed.
  * d/copyright:
    - Refresh years of Debian copyright
  * d/patches:
    - Refresh patch configure-mkdocs-for-debian (fuzz/offset)
    - Refresh patch update-fonts-used-in-tests (upstream changes)
    - Refresh patch update-examples-directory-in-tests (upstream changes)
  * d/t/control:
    - Add python3-all to test dependencies
  * d/watch:
    - Update pattern for GitHub archive URLs
    - Drop repack count from repacksuffix

 -- Nick Morrott <nickm@debian.org>  Sun, 06 Feb 2022 04:47:56 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-tk,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/lawsie/guizero
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-guizero
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-guizero.git

=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,4 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	dh_mkdocs -Tmkdocs -Tmkdocs-nature -Tlibjs-underscore
+	dh_mkdocs -Tmkdocs -Tmkdocs-nature -Tlibjs-underscore -Tnode-jquery

## python-guizero 1.4.0+dfsg

=== debian/changelog ===
python-guizero (1.4.0+dfsg-1) unstable; urgency=medium

  [ Nick Morrott ]
  * New upstream version 1.4.0+dfsg
  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
  * d/copyright:
    - Bump years of Debian copyright
  * d/patches:
    - Refresh patches (offset)
  * d/rules:
    - Refresh packages to linkify when calling dh_mkdocs

 -- Nick Morrott <nickm@debian.org>  Sun, 12 Feb 2023 01:13:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,4 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	dh_mkdocs -Tmkdocs -Tmkdocs-nature -Tlibjs-underscore -Tnode-jquery
+	dh_mkdocs -T mkdocs -T libjs-underscore -T mkdocs-nature

## python-guizero 1.5.0+dfsg

=== debian/changelog ===
python-guizero (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.0+dfsg
  * d/clean:
    - Remove pybuild, egg-info and html
  * d/copyright:
    - Refresh Files-Excluded for files removed upstream
    - Refresh years of Debian copyright
  * d/patches:
    - Update patch configure-mkdocs-for-debian
      - Refresh for upstream changes
      - Replace index.md with about.md
      - Use friendly non-directory links
  * d/python-guizero-doc.doc-base:
    - Update path to HTML documentation
  * d/rules:
    - Move original about.md/index.md out of the way during build
      (Closes: #1045977, #1049655)
    - Install documentation into main package doc directory
    - Drop mkdocs from dh_mkdocs call (handled by default)
    - Forcibly remove any remaining __pycache__ files/dirs
  * d/s/lintian-overrides:
    - Add override for long line in example
  * d/patches: Update patch configure-mkdocs-for-debian (drop about from nav)

 -- Nick Morrott <nickm@debian.org>  Sat, 24 Feb 2024 11:48:54 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-tk,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/lawsie/guizero
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-guizero
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-guizero.git

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,17 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf html
+	find -name __pycache__ | xargs rm -rfv
 
 override_dh_auto_build:
 	dh_auto_build
+	mv $(CURDIR)/docs-src/docs/index.md $(CURDIR)/index.off
+	cp $(CURDIR)/docs-src/docs/about.md $(CURDIR)/about.off
 	mv $(CURDIR)/docs-src/docs/about.md $(CURDIR)/docs-src/docs/index.md
 	mkdocs build -d $(CURDIR)/html -f $(CURDIR)/docs-src/mkdocs.yml
 	find $(CURDIR)/html -type f -name sitemap.xml.gz -delete
+	mv $(CURDIR)/index.off $(CURDIR)/docs-src/docs/index.md
+	mv $(CURDIR)/about.off $(CURDIR)/docs-src/docs/about.md
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
@@ -36,5 +40,6 @@
 	dh_installchangelogs
 
 override_dh_installdocs:
-	dh_installdocs
-	dh_mkdocs -T mkdocs -T libjs-underscore -T mkdocs-nature
+	dh_installdocs --package=python-guizero-doc --doc-main-package=python3-guizero
+	dh_installdocs --remaining-packages
+	dh_mkdocs -Tlibjs-underscore -Tmkdocs-nature

=== debian/watch ===
version=4
opts="dversionmangle=s/@DEB_EXT@//, repacksuffix=+dfsg, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" https://github.com/lawsie/guizero/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-guizero 1.6.0+ds

=== debian/changelog ===
python-guizero (1.6.0+ds-1) unstable; urgency=medium

  * New upstream version 1.6.0+ds
  * d/control:
    - Re-adopt package under Debian Python Team (Closes: #1079231)
    - Declare compliance with Debian Policy 4.7.0
    - Refresh B-D for pyproject/hatchling
  * d/copyright:
    - Refresh Files-Excluded (upstream changes...)
    - Refresh years of Debian copyright
  * d/python-guizero-doc.doc-base:
    - Revert updating path to HTML documentation
  * d/rules:
    - Revert installing documentation into main package doc directory"
     (Closes: #1070434)
    - Refresh path to upstream source documentation
    - Handle broken upstream mkdocs.yml configuration
  * d/patches:
    - update-examples-directory-in-tests: Refresh for upstream changes
    - configure-mkdocs-for-debian: Refresh for upstream changes
    - update-fonts-used-in-tests: Refresh patch (offsets)
    - missing-email-in-pyproject: Add patch for missing email

 -- Nick Morrott <nickm@debian.org>  Sun, 02 Feb 2025 16:25:15 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  fonts-liberation,
  mkdocs (>= 1.0.4),
  mkdocs-nature,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-pil,
  python3-pil.imagetk,
  python3-pytest,
@@ -17,7 +19,7 @@
  python3-setuptools,
  python3-tk,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/lawsie/guizero
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-guizero
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-guizero.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=__pycache__

export DH_VERBOSE=1
export PYBUILD_VERBOSE=1

export LANG=C.UTF-8
export LC_ALL=C.UTF-8

export PYBUILD_NAME=guizero
export PYBUILD_BEFORE_TEST=cp -rv {dir}/tests {build_dir}; cp -v {dir}/examples/guizero* {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	find -name __pycache__ | xargs rm -rfv

override_dh_auto_build:
	dh_auto_build
	mv $(CURDIR)/docs/index.md $(CURDIR)/index.off
	cp $(CURDIR)/docs/about.md $(CURDIR)/about.off
	mv $(CURDIR)/docs/about.md $(CURDIR)/docs/index.md
	mv $(CURDIR)/docs/mkdocs.yml $(CURDIR)/mkdocs.yml
	mkdocs build -d $(CURDIR)/html -f $(CURDIR)/mkdocs.yml
	mv $(CURDIR)/mkdocs.yml $(CURDIR)/docs/mkdocs.yml
	find $(CURDIR)/html -type f -name sitemap.xml.gz -delete
	mv $(CURDIR)/index.off $(CURDIR)/docs/index.md
	mv $(CURDIR)/about.off $(CURDIR)/docs/about.md

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.md upstream
	dh_installchangelogs

override_dh_installdocs:
	dh_installdocs
	dh_mkdocs -T libjs-underscore -T mkdocs-nature

=== debian/tests/control ===
Tests: python3-guizero
Depends: @builddeps@, @, python3-all
